ATA_BUS_PROBE(9)

NAME
ata_bus_probe - Reset and probe ATA bus

SYNOPSIS

int ata_bus_probe (struct ata_port * ap);

ARGUMENTS

ap  Bus to probe

DESCRIPTION

Master ATA bus probing function. Initiates a hardware-dependent bus reset, then attempts to identify any devices found on the bus.

LOCKING

PCI/etc. bus probe sem.

RETURNS

Zero on success, non-zero on error.

AUTHOR
Jeff Garzik.